.TH FREEIPMI_INTERPRET_SEL 5 "2012-06-28" "FreeIPMI 1.1.6" "Configuration"
.SH "NAME"
freeipmi_interpret_sel.conf \- specify system event log (SEL) interpretation rules
.SH "DESCRIPTION"
The
.B /usr/local/etc/freeipmi//freeipmi_interpret_sel.conf
defines how IPMI system event log entries should be
interpreted. IPMI system events specify a number of
states/thresholds when they are read. Based on those
states/thresholds, libraries and tools such as
.B libipmimonitoring(3)
and
.B ipmi-sel(8)
can report if an event is "good" or "bad" via a report of a NOMINAL,
WARNING, or CRITICAL state. A different state can be reported for an
event depending on if it is asserted or deasserted.
.LP
Each of the states listed below are (hopefully) descriptive enough
to describe the state conditions that may be set/unset for each
sensor or event type. For more detailed information on each of the
individual states listed below, please see the IPMI Specification
"Sensor and Event Code Tables".
.B Ipmi-sensors(8)
can be used to determine the sensor types and the states/thresholds
that exist on a system by outputting very verbose output and seeing
what types of Assertion or Deassertion events are possible.
.LP
Each of the events below may may take 1 or 2 of the following states
as input.
.LP
Nominal - Signal Nominal reading if event tripped
.LP
Warning - Signal Warning reading if event tripped
.LP
Critical - Signal Critical reading if event tripped
.LP
If only one state is listed, that state will be interpreted when the
event is asserted or deasserted. If two states are listed, the first
state will be interpreted when an event is asserted, and the later
will be interpreted when an event is deasserted.
.LP
Not all IPMI sensor types and event types are currently supported. If
you would like more to be supported, please e-mail the FreeIPMI
mailing list.
.LP
The default values selected for individual events being
tripped are based on best guesses and motherboards being analyzed.
If you think they should be changed, please e-mail the FreeIPMI
mailing list to discuss what the defaults should be.
.LP
Most default interpretations can be determined quite easily and can
meet the needs of most users. For example, a reading of
"Performance_Met" is normally better than "Performance_Lags".
However, some sensors can be ambiguous and depend completely on the
manufacturer. For example, "State_Asserted" vs. "State_Deasserted"
are completely at the interpretation of the vendor. Users are advised
to adjust the interpretations below as needed for their machines.
.LP
.SH "FORMAT"
The configuration options that can be specified in the configuration
file are listed below. Each configuration option must be listed on a
separate line. Arguments for an option are separated by any amount of
whitespace. Multiple arguments are also separated by whitespace.
Comments can be marked by using the pound sign ("#") character, and
lines can be continued on the next using backslash ("\\").
.SH "OPTIONS"
.TP
.B IPMI_Threshold_Sensor
The following states correspond to threshold sensor events. This
normally applies to events that dealing with non-discrete values, such
as temperatures, voltages, RPM, etc.
.RS
.TP
\fBIPMI_Threshold_Sensor_Lower_Non_Critical_Going_Low\fR
Defaults to Warning/Nominal.
.TP
\fBIPMI_Threshold_Sensor_Lower_Non_Critical_Going_High\fR
Defaults to Nominal/Nominal.
.TP
\fBIPMI_Threshold_Sensor_Lower_Critical_Going_Low\fR
Defaults to Critical/Warning.
.TP
\fBIPMI_Threshold_Sensor_Lower_Critical_Going_High\fR
Defaults to Warning/Warning.
.TP
\fBIPMI_Threshold_Sensor_Lower_Non_Recoverable_Going_Low\fR
Defaults to Critical/Critical.
.TP
\fBIPMI_Threshold_Sensor_Lower_Non_Recoverable_Going_High\fR
Defaults to Critical/Critical.
.TP
\fBIPMI_Threshold_Sensor_Upper_Non_Critical_Going_Low\fR
Defaults to Nominal/Nominal.
.TP
\fBIPMI_Threshold_Sensor_Upper_Non_Critical_Going_High\fR
Defaults to Warning/Nominal.
.TP
\fBIPMI_Threshold_Sensor_Upper_Critical_Going_Low\fR
Defaults to Warning/Warning.
.TP
\fBIPMI_Threshold_Sensor_Upper_Critical_Going_High\fR
Defaults to Critical/Warning.
.TP
\fBIPMI_Threshold_Sensor_Upper_Non_Recoverable_Going_Low\fR
Defaults to Critical/Critical.
.TP
\fBIPMI_Threshold_Sensor_Upper_Non_Recoverable_Going_High\fR
Defaults to Critical/Critical.
.RE
.TP
.B IPMI_Temperature_State
The following states correspond to Temperature sensor events that report an
assertion or deassertion.
.RS
.TP
\fBIPMI_Temperature_State_Deasserted\fR
Defaults to Nominal.
.TP
\fBIPMI_Temperature_State_Asserted\fR
Defaults to Warning.
.RE
.TP
.B IPMI_Temperature_Limit
The following states correspond to Temperature sensor events that
report on limits.
.RS
.TP
\fBIPMI_Temperature_Limit_Not_Exceeded\fR
Defaults to Nominal.
.TP
\fBIPMI_Temperature_Limit_Exceeded\fR
Defaults to Critical.
.RE
.TP
.B IPMI_Temperature_Transition_Severity
The following states correspond to Temperature sensor events that
report on transition severity.
.RS
.TP
\fBIPMI_Temperature_Transition_Severity_Transition_To_OK\fR
Defaults to Nominal.
.TP
\fBIPMI_Temperature_Transition_Severity_Transition_To_Non_Critical_From_OK\fR
Defaults to Warning.
.TP
\fBIPMI_Temperature_Transition_Severity_Transition_To_Critical_From_Less_Severe\fR
Defaults to Critical.
.TP
\fBIPMI_Temperature_Transition_Severity_Transition_To_Non_Recoverable_From_Less_Severe\fR
Defaults to Critical.
.TP
\fBIPMI_Temperature_Transition_Severity_Transition_To_Non_Critical_From_More_Severe\fR
Defaults to Warning.
.TP
\fBIPMI_Temperature_Transition_Severity_Transition_To_Critical_From_Non_Recoverable\fR
Defaults to Critical.
.TP
\fBIPMI_Temperature_Transition_Severity_Transition_To_Non_Recoverable\fR
Defaults to Critical.
.TP
\fBIPMI_Temperature_Transition_Severity_Monitor\fR
Defaults to Warning.
.TP
\fBIPMI_Temperature_Transition_Severity_Informational\fR
Defaults to Nominal.
.RE
.TP
.B IPMI_Voltage_State
The following states correspond to Voltage sensor events that report an
assertion or deassertion.
.RS
.TP
\fBIPMI_Voltage_State_Deasserted\fR
Defaults to Nominal.
.TP
\fBIPMI_Voltage_State_Asserted\fR
Defaults to Warning.
.RE
.TP
.B IPMI_Voltage_Limit
The following states correspond to Voltage sensor events that
report on limits.
.RS
.TP
\fBIPMI_Voltage_Limit_Not_Exceeded\fR
Defaults to Nominal.
.TP
\fBIPMI_Voltage_Limit_Exceeded\fR
Defaults to Critical.
.RE
.TP
.B IPMI_Voltage_Performance
The following states correspond to Voltage sensor events that report on
performance.
.RS
.TP
\fBIPMI_Voltage_Performance_Met\fR
Defaults to Nominal/Nominal.
.TP
\fBIPMI_Voltage_Performance_Lags\fR
Defaults to Critical/Warning.
.RE
.TP
.B IPMI_Voltage_Transition_Severity
The following states correspond to Voltage sensor events that
report on device severity.
.RS
.TP
\fBIPMI_Voltage_Transition_Severity_Transition_To_OK\fR
Defaults to Nominal.
.TP
\fBIPMI_Voltage_Transition_Severity_Transition_To_Non_Critical_From_OK\fR
Defaults to Warning.
.TP
\fBIPMI_Voltage_Transition_Severity_Transition_To_Critical_From_Less_Severe\fR
Defaults to Critical.
.TP
\fBIPMI_Voltage_Transition_Severity_Transition_To_Non_Recoverable_From_Less_Severe\fR
Defaults to Critical.
.TP
\fBIPMI_Voltage_Transition_Severity_Transition_To_Non_Critical_From_More_Severe\fR
Defaults to Warning.
.TP
\fBIPMI_Voltage_Transition_Severity_Transition_To_Critical_From_Non_Recoverable\fR
Defaults to Critical.
.TP
\fBIPMI_Voltage_Transition_Severity_Transition_To_Non_Recoverable\fR
Defaults to Critical.
.TP
\fBIPMI_Voltage_Transition_Severity_Monitor\fR
Defaults to Warning.
.TP
\fBIPMI_Voltage_Transition_Severity_Informational\fR
Defaults to Nominal.
.RE
.TP
.B IPMI_Current_Transition_Severity
The following states correspond to Current sensor events that
report on device severity.
.RS
.TP
\fBIPMI_Current_Transition_Severity_Transition_To_OK\fR
Defaults to Nominal.
.TP
\fBIPMI_Current_Transition_Severity_Transition_To_Non_Critical_From_OK\fR
Defaults to Warning.
.TP
\fBIPMI_Current_Transition_Severity_Transition_To_Critical_From_Less_Severe\fR
Defaults to Critical.
.TP
\fBIPMI_Current_Transition_Severity_Transition_To_Non_Recoverable_From_Less_Severe\fR
Defaults to Critical.
.TP
\fBIPMI_Current_Transition_Severity_Transition_To_Non_Critical_From_More_Severe\fR
Defaults to Warning.
.TP
\fBIPMI_Current_Transition_Severity_Transition_To_Critical_From_Non_Recoverable\fR
Defaults to Critical.
.TP
\fBIPMI_Current_Transition_Severity_Transition_To_Non_Recoverable\fR
Defaults to Critical.
.TP
\fBIPMI_Current_Transition_Severity_Monitor\fR
Defaults to Warning.
.TP
\fBIPMI_Current_Transition_Severity_Informational\fR
Defaults to Nominal.
.RE
.TP
.B IPMI_Fan_State
The following states correspond to Fan sensor events that report an
assertion or deassertion.
.RS
.TP
\fBIPMI_Fan_State_Deasserted\fR
Defaults to Nominal.
.TP
\fBIPMI_Fan_State_Asserted\fR
Defaults to Warning.
.RE
.TP
.B IPMI_Fan_Transition_Severity
The following states correspond to Fan sensor events that
report on device severity.
.RS
.TP
\fBIPMI_Fan_Transition_Severity_Transition_To_OK\fR
Defaults to Nominal.
.TP
\fBIPMI_Fan_Transition_Severity_Transition_To_Non_Critical_From_OK\fR
Defaults to Warning.
.TP
\fBIPMI_Fan_Transition_Severity_Transition_To_Critical_From_Less_Severe\fR
Defaults to Critical.
.TP
\fBIPMI_Fan_Transition_Severity_Transition_To_Non_Recoverable_From_Less_Severe\fR
Defaults to Critical.
.TP
\fBIPMI_Fan_Transition_Severity_Transition_To_Non_Critical_From_More_Severe\fR
Defaults to Warning.
.TP
\fBIPMI_Fan_Transition_Severity_Transition_To_Critical_From_Non_Recoverable\fR
Defaults to Critical.
.TP
\fBIPMI_Fan_Transition_Severity_Transition_To_Non_Recoverable\fR
Defaults to Critical.
.TP
\fBIPMI_Fan_Transition_Severity_Monitor\fR
Defaults to Warning.
.TP
\fBIPMI_Fan_Transition_Severity_Informational\fR
Defaults to Nominal.
.RE
.TP
.B IPMI_Fan_Device_Present
The following states correspond to Fan sensor events that report on
device installation.
.RS
.TP
\fBIPMI_Fan_Device_Present_Device_Removed_Device_Absent\fR
Defaults to Critical.
.TP
\fBIPMI_Fan_Device_Present_Device_Inserted_Device_Present\fR
Defaults to Nominal.
.RE
.TP
.B IPMI_Fan_Transition_Availability
The following states correspond to Fan sensor events that report on
device availability.
.RS
.TP
\fBIPMI_Fan_Transition_Availability_To_Running\fR
Defaults to Nominal/Nominal.
.TP
\fBIPMI_Fan_Transition_Availability_To_In_Test\fR
Defaults to Warning/Warning.
.TP
\fBIPMI_Fan_Transition_Availability_To_Power_Off\fR
Defaults to Warning/Warning.
.TP
\fBIPMI_Fan_Transition_Availability_To_On_Line\fR
Defaults to Warning/Warning.
.TP
\fBIPMI_Fan_Transition_Availability_To_Off_Line\fR
Defaults to Warning/Warning.
.TP
\fBIPMI_Fan_Transition_Availability_To_Off_Duty\fR
Defaults to Warning/Warning.
.TP
\fBIPMI_Fan_Transition_Availability_To_Degraded\fR
Defaults to Critical/Warning.
.TP
\fBIPMI_Fan_Transition_Availability_To_Power_Save\fR
Defaults to Warning/Warning.
.TP
\fBIPMI_Fan_Transition_Availability_Install_Error\fR
Defaults to Critical/Critical.
.RE
.TP
.B IPMI_Fan_Redundancy
The following states correspond to Fan sensor events that report on
redundancy.
.RS
.TP
\fBIPMI_Fan_Redundancy_Fully_Redundant\fR
Defaults to Nominal/Nominal.
.TP
\fBIPMI_Fan_Redundancy_Redundancy_Lost\fR
Defaults to Critical/Warning.
.TP
\fBIPMI_Fan_Redundancy_Redundancy_Degraded\fR
Defaults to Warning/Warning.
.TP
\fBIPMI_Fan_Redundancy_Non_Redundant_Sufficient_Resources_From_Redundant\fR
Defaults to Critical/Warning.
.TP
\fBIPMI_Fan_Redundancy_Non_Redundant_Sufficient_Resources_From_Insufficient_Redundancy\fR
Defaults to Critical/Warning.
.TP
\fBIPMI_Fan_Redundancy_Non_Redundant_Insufficient_Resources\fR
Defaults to Critical/Warning.
.TP
\fBIPMI_Fan_Redundancy_Redundancy_Degraded_From_Fully_Redundant\fR
Defaults to Warning/Warning.
.TP
\fBIPMI_Fan_Redundancy_Redundancy_Degraded_From_Non_Redundant\fR
Defaults to Warning/Warning.
.RE
.TP
.B IPMI_Physical_Security
The following states correspond to Physical Security sensor events w/
Physical Security specific output events.
.RS
.TP
\fBIPMI_Physical_Security_General_Chassis_Intrusion\fR
Defaults to Critical.
.TP
\fBIPMI_Physical_Security_Drive_Bay_Intrusion\fR
Defaults to Critical.
.TP
\fBIPMI_Physical_Security_IO_Card_Intrusion\fR
Defaults to Critical.
.TP
\fBIPMI_Physical_Security_Processor_Area_Intrusion\fR
Defaults to Critical.
.TP
\fBIPMI_Physical_Security_LAN_Leash_Lost\fR
Defaults to Critical.
.TP
\fBIPMI_Physical_Security_Unauthorized_Dock_Undock\fR
Defaults to Critical.
.TP
\fBIPMI_Physical_Security_FAN_Area_Intrusion\fR
Defaults to Critical.
.RE
.TP
.B IPMI_Platform_Security_Violation_Attempt
The following states correspond to Platform Violation Attempt sensor events w/
Platform Security Violation Attempt specific output events.
.RS
.TP
\fBIPMI_Platform_Security_Violation_Attempt_Secure_Mode_Violation_Attempt\fR
Defaults to Critical.
.TP
\fBIPMI_Platform_Security_Violation_Attempt_Pre_Boot_Password_Violation_User_Password\fR
Defaults to Critical.
.TP
\fBIPMI_Platform_Security_Violation_Attempt_Pre_Boot_Password_Violation_Attempt_Setup_Password\fR
Defaults to Critical.
.TP
\fBIPMI_Platform_Security_Violation_Attempt_Pre_Boot_Password_Violation_Network_Boot_Password\fR
Defaults to Critical.
.TP
\fBIPMI_Platform_Security_Violation_Attempt_Other_Pre_Boot_Password_Violation\fR
Defaults to Critical.
.TP
\fBIPMI_Platform_Security_Violation_Attempt_Out_Of_Band_Access_Password_Violation\fR
Defaults to Critical.
.RE
.TP
.B IPMI_Processor
The following states correspond to Processor sensor events w/
Processor specific output events.
.RS
.TP
\fBIPMI_Processor_IERR\fR
Defaults to Critical.
.TP
\fBIPMI_Processor_Thermal_Trip\fR
Defaults to Critical.
.TP
\fBIPMI_Processor_FRB1_BIST_Failure\fR
Defaults to Critical.
.TP
\fBIPMI_Processor_FRB2_Hang_In_POST_Failure\fR
Defaults to Critical.
.TP
\fBIPMI_Processor_FRB3_Processor_Startup_Initialization_Failure\fR
Defaults to Critical.
.TP
\fBIPMI_Processor_Configuration_Error\fR
Defaults to Critical.
.TP
\fBIPMI_Processor_SMBIOS_Uncorrectable_CPU_Complex_Error\fR
Defaults to Critical.
.TP
\fBIPMI_Processor_Processor_Presence_Detected\fR
Defaults to Nominal.
.TP
\fBIPMI_Processor_Processor_Disabled\fR
Defaults to Critical.
.TP
\fBIPMI_Processor_Terminator_Presence_Detected\fR
Defaults to Critical.
.TP
\fBIPMI_Processor_Processor_Automatically_Throttled\fR
Defaults to Warning.
.TP
\fBIPMI_Processor_Machine_Check_Exception\fR
Defaults to Critical.
.TP
\fBIPMI_Processor_Correctable_Machine_Check_Error\fR
Defaults to Warning.
.RE
.TP
.B IPMI_Processor_State
The following states correspond to Processor sensor events that report an
assertion or deassertion.
.RS
.TP
\fBIPMI_Processor_State_Deasserted\fR
Defaults to Nominal.
.TP
\fBIPMI_Processor_State_Asserted\fR
Defaults to Critical.
.RE
.TP
.B IPMI_Power_Supply
The following states correspond to Power Supply sensor events w/
Power Supply specific output events.
.RS
.TP
\fBIPMI_Power_Supply_Presence_Detected\fR
Defaults to Nominal/Nominal.
.TP
\fBIPMI_Power_Supply_Power_Supply_Failure_Detected\fR
Defaults to Critical/Critical.
.TP
\fBIPMI_Power_Supply_Predictive_Failure\fR
Defaults to Critical/Critical.
.TP
\fBIPMI_Power_Supply_Power_Supply_Input_Lost_AC_DC\fR
Defaults to Critical/Warning.
.TP
\fBIPMI_Power_Supply_Power_Supply_Input_Lost_Or_Out_Of_Range\fR
Defaults to Critical/Warning.
.TP
\fBIPMI_Power_Supply_Power_Supply_Input_Out_Of_Range_But_Present\fR
Defaults to Critical/Warning.
.TP
\fBIPMI_Power_Supply_Configuration_Error\fR
Defaults to Critical/Critical.
.RE
.TP
.B IPMI_Power_Supply_State
The following states correspond to Power_Supply sensor events that report an
assertion or deassertion.
.RS
.TP
\fBIPMI_Power_Supply_State_Deasserted\fR
Defaults to Critical.
.TP
\fBIPMI_Power_Supply_State_Asserted\fR
Defaults to Nominal.
.RE
.TP
.B IPMI_Power_Supply_Transition_Severity
The following states correspond to Power Supply sensor events that
report on device severity.
.RS
.TP
\fBIPMI_Power_Supply_Transition_Severity_Transition_To_OK\fR
Defaults to Nominal.
.TP
\fBIPMI_Power_Supply_Transition_Severity_Transition_To_Non_Critical_From_OK\fR
Defaults to Warning.
.TP
\fBIPMI_Power_Supply_Transition_Severity_Transition_To_Critical_From_Less_Severe\fR
Defaults to Critical.
.TP
\fBIPMI_Power_Supply_Transition_Severity_Transition_To_Non_Recoverable_From_Less_Severe\fR
Defaults to Critical.
.TP
\fBIPMI_Power_Supply_Transition_Severity_Transition_To_Non_Critical_From_More_Severe\fR
Defaults to Warning.
.TP
\fBIPMI_Power_Supply_Transition_Severity_Transition_To_Critical_From_Non_Recoverable\fR
Defaults to Critical.
.TP
\fBIPMI_Power_Supply_Transition_Severity_Transition_To_Non_Recoverable\fR
Defaults to Critical.
.TP
\fBIPMI_Power_Supply_Transition_Severity_Monitor\fR
Defaults to Warning.
.TP
\fBIPMI_Power_Supply_Transition_Severity_Informational\fR
Defaults to Nominal.
.RE
.TP
.B IPMI_Power_Supply_Redundancy
The following states correspond to Power Supply sensor events that report on
redundancy.
.RS
.TP
\fBIPMI_Power_Supply_Redundancy_Fully_Redundant\fR
Defaults to Nominal/Nominal.
.TP
\fBIPMI_Power_Supply_Redundancy_Redundancy_Lost\fR
Defaults to Critical/Warning.
.TP
\fBIPMI_Power_Supply_Redundancy_Redundancy_Degraded\fR
Defaults to Warning/Warning.
.TP
\fBIPMI_Power_Supply_Redundancy_Non_Redundant_Sufficient_Resources_From_Redundant\fR
Defaults to Critical/Warning.
.TP
\fBIPMI_Power_Supply_Redundancy_Non_Redundant_Sufficient_Resources_From_Insufficient_Redundancy\fR
Defaults to Critical/Warning.
.TP
\fBIPMI_Power_Supply_Redundancy_Non_Redundant_Insufficient_Resources\fR
Defaults to Critical/Warning.
.TP
\fBIPMI_Power_Supply_Redundancy_Redundancy_Degraded_From_Fully_Redundant\fR
Defaults to Warning/Warning.
.TP
\fBIPMI_Power_Supply_Redundancy_Redundancy_Degraded_From_Non_Redundant\fR
Defaults to Warning/Warning.
.RE
.TP
.B IPMI_Power_Unit
The following states correspond to Power Unit sensor events w/
Power Unit specific output events.
.RS
.TP
\fBIPMI_Power_Unit_Power_Off_Power_Down\fR
Defaults to Nominal/Nominal.
.TP
\fBIPMI_Power_Unit_Power_Cycle\fR
Defaults to Nominal/Nominal.
.TP
\fBIPMI_Power_Unit_240VA_Power_Down\fR
Defaults to Warning/Nominal.
.TP
\fBIPMI_Power_Unit_Interlock_Power_Down\fR
Defaults to Warning/Warning.
.TP
\fBIPMI_Power_Unit_AC_Lost\fR
Defaults to Critical/Warning.
.TP
\fBIPMI_Power_Unit_Soft_Power_Control_Failure\fR
Defaults to Critical/Critical.
.TP
\fBIPMI_Power_Unit_Power_Unit_Failure_Detected\fR
Defaults to Critical/Critical.
.TP
\fBIPMI_Power_Unit_Predictive_Failure\fR
Defaults to Critical/Critical.
.RE
.TP
.B IPMI_Power_Unit_Device_Present
The following states correspond to Power Unit sensor events that report on
device installation.
.RS
.TP
\fBIPMI_Power_Unit_Device_Present_Device_Removed_Device_Absent\fR
Defaults to Critical.
.TP
\fBIPMI_Power_Unit_Device_Present_Device_Inserted_Device_Present\fR
Defaults to Nominal.
.RE
.TP
.B IPMI_Power_Unit_Redundancy
The following states correspond to Power Unit sensor events that report on
redundancy.
.RS
.TP
\fBIPMI_Power_Unit_Redundancy_Fully_Redundant\fR
Defaults to Nominal/Nominal.
.TP
\fBIPMI_Power_Unit_Redundancy_Redundancy_Lost\fR
Defaults to Critical/Warning.
.TP
\fBIPMI_Power_Unit_Redundancy_Redundancy_Degraded\fR
Defaults to Warning/Warning.
.TP
\fBIPMI_Power_Unit_Redundancy_Non_Redundant_Sufficient_Resources_From_Redundant\fR
Defaults to Critical/Warning.
.TP
\fBIPMI_Power_Unit_Redundancy_Non_Redundant_Sufficient_Resources_From_Insufficient_Redundancy\fR
Defaults to Critical/Warning.
.TP
\fBIPMI_Power_Unit_Redundancy_Non_Redundant_Insufficient_Resources\fR
Defaults to Critical/Warning.
.TP
\fBIPMI_Power_Unit_Redundancy_Redundancy_Degraded_From_Fully_Redundant\fR
Defaults to Warning/Warning.
.TP
\fBIPMI_Power_Unit_Redundancy_Redundancy_Degraded_From_Non_Redundant\fR
Defaults to Warning/Warning.
.RE
.TP
.B IPMI_Cooling_Device_Redundancy
The following states correspond to Cooling Device sensor events that report on
redundancy.
.RS
.TP
\fBIPMI_Cooling_Device_Redundancy_Fully_Redundant\fR
Defaults to Nominal/Nominal.
.TP
\fBIPMI_Cooling_Device_Redundancy_Redundancy_Lost\fR
Defaults to Critical/Warning.
.TP
\fBIPMI_Cooling_Device_Redundancy_Redundancy_Degraded\fR
Defaults to Warning/Warning.
.TP
\fBIPMI_Cooling_Device_Redundancy_Non_Redundant_Sufficient_Resources_From_Redundant\fR
Defaults to Critical/Warning.
.TP
\fBIPMI_Cooling_Device_Redundancy_Non_Redundant_Sufficient_Resources_From_Insufficient_Redundancy\fR
Defaults to Critical/Warning.
.TP
\fBIPMI_Cooling_Device_Redundancy_Non_Redundant_Insufficient_Resources\fR
Defaults to Critical/Warning.
.TP
\fBIPMI_Cooling_Device_Redundancy_Redundancy_Degraded_From_Fully_Redundant\fR
Defaults to Warning/Warning.
.TP
\fBIPMI_Cooling_Device_Redundancy_Redundancy_Degraded_From_Non_Redundant\fR
Defaults to Warning/Warning.
.RE
.TP
.B IPMI_Memory
The following states correspond to Memory sensor events w/
Memory specific output events.
.RS
.TP
\fBIPMI_Memory_Correctable_Memory_Error\fR
Defaults to Warning.
.TP
\fBIPMI_Memory_Uncorrectable_Memory_Error\fR
Defaults to Critical.
.TP
\fBIPMI_Memory_Parity\fR
Defaults to Critical.
.TP
\fBIPMI_Memory_Memory_Scrub_Failed\fR
Defaults to Critical.
.TP
\fBIPMI_Memory_Memory_Device_Disabled\fR
Defaults to Critical.
.TP
\fBIPMI_Memory_Correctable_Memory_Error_Logging_Limit_Reached\fR
Defaults to Warning.
.TP
\fBIPMI_Memory_Presence_Detected\fR
Defaults to Nominal.
.TP
\fBIPMI_Memory_Configuration_Error\fR
Defaults to Critical.
.TP
\fBIPMI_Memory_Spare\fR
Defaults to Nominal.
.TP
\fBIPMI_Memory_Memory_Automatically_Throttled\fR
Defaults to Warning.
.TP
\fBIPMI_Memory_Critical_Overtemperature\fR
Defaults to Critical.
.RE
.TP
.B IPMI_Memory_State
The following states correspond to Memory sensor events that report an
assertion or deassertion.
.RS
.TP
\fBIPMI_Memory_State_Deasserted\fR
Defaults to Nominal.
.TP
\fBIPMI_Memory_State_Asserted\fR
Defaults to Critical.
.RE
.TP
.B IPMI_Memory_Transition_Severity
The following states correspond to Memory sensor events that
report on transition severity.
.RS
.TP
\fBIPMI_Memory_Transition_Severity_Transition_To_OK\fR
Defaults to Nominal.
.TP
\fBIPMI_Memory_Transition_Severity_Transition_To_Non_Critical_From_OK\fR
Defaults to Warning.
.TP
\fBIPMI_Memory_Transition_Severity_Transition_To_Critical_From_Less_Severe\fR
Defaults to Critical.
.TP
\fBIPMI_Memory_Transition_Severity_Transition_To_Non_Recoverable_From_Less_Severe\fR
Defaults to Critical.
.TP
\fBIPMI_Memory_Transition_Severity_Transition_To_Non_Critical_From_More_Severe\fR
Defaults to Warning.
.TP
\fBIPMI_Memory_Transition_Severity_Transition_To_Critical_From_Non_Recoverable\fR
Defaults to Critical.
.TP
\fBIPMI_Memory_Transition_Severity_Transition_To_Non_Recoverable\fR
Defaults to Critical.
.TP
\fBIPMI_Memory_Transition_Severity_Monitor\fR
Defaults to Warning.
.TP
\fBIPMI_Memory_Transition_Severity_Informational\fR
Defaults to Nominal.
.RE
.TP
.B IPMI_Memory_Redundancy
The following states correspond to Memory sensor events that report on
redundancy.
.RS
.TP
\fBIPMI_Memory_Redundancy_Fully_Redundant\fR
Defaults to Nominal/Nominal.
.TP
\fBIPMI_Memory_Redundancy_Redundancy_Lost\fR
Defaults to Critical/Warning.
.TP
\fBIPMI_Memory_Redundancy_Redundancy_Degraded\fR
Defaults to Warning/Warning.
.TP
\fBIPMI_Memory_Redundancy_Non_Redundant_Sufficient_Resources_From_Redundant\fR
Defaults to Critical/Warning.
.TP
\fBIPMI_Memory_Redundancy_Non_Redundant_Sufficient_Resources_From_Insufficient_Redundancy\fR
Defaults to Critical/Warning.
.TP
\fBIPMI_Memory_Redundancy_Non_Redundant_Insufficient_Resources\fR
Defaults to Critical/Warning.
.TP
\fBIPMI_Memory_Redundancy_Redundancy_Degraded_From_Fully_Redundant\fR
Defaults to Warning/Warning.
.TP
\fBIPMI_Memory_Redundancy_Redundancy_Degraded_From_Non_Redundant\fR
Defaults to Warning/Warning.
.RE
.TP
.B IPMI_Drive_Slot
The following states correspond to Drive Slot sensor events w/
Drive Slot specific output events.
.RS
.TP
\fBIPMI_Drive_Slot_Drive_Presence\fR
Defaults to Nominal.
.TP
\fBIPMI_Drive_Slot_Drive_Fault\fR
Defaults to Critical.
.TP
\fBIPMI_Drive_Slot_Predictive_Failure\fR
Defaults to Critical.
.TP
\fBIPMI_Drive_Slot_Hot_Spare\fR
Defaults to Nominal.
.TP
\fBIPMI_Drive_Slot_Consistency_Check_Parity_Check_In_Progress\fR
Defaults to Nominal.
.TP
\fBIPMI_Drive_Slot_In_Critical_Array\fR
Defaults to Critical.
.TP
\fBIPMI_Drive_Slot_In_Failed_Array\fR
Defaults to Critical.
.TP
\fBIPMI_Drive_Slot_Rebuild_Remap_In_Progress\fR
Defaults to Nominal.
.TP
\fBIPMI_Drive_Slot_Rebuild_Remap_Aborted\fR
Defaults to Critical.
.RE
.TP
.B IPMI_Drive_Slot_State
The following states correspond to Drive Slot sensor events that report an
assertion or deassertion.
.RS
.TP
\fBIPMI_Drive_Slot_State_Deasserted\fR
Defaults to Warning.
.TP
\fBIPMI_Drive_Slot_State_Asserted\fR
Defaults to Nominal.
.RE
.TP
.B IPMI_Drive_Slot_Predictive_Failure
The following states correspond to Drive_Slot sensor events that report a
predictive failure assertion or deassertion.
.RS
.TP
\fBIPMI_Drive_Slot_Predictive_Failure_Deasserted\fR
Defaults to Nominal.
.TP
\fBIPMI_Drive_Slot_Predictive_Failure_Asserted\fR
Defaults to Critical.
.RE
.TP
.B IPMI_Drive_Slot_Device_Present
The following states correspond to Drive Slot sensor events that report on
device installation.
.RS
.TP
\fBIPMI_Drive_Slot_Device_Present_Device_Removed_Device_Absent\fR
Defaults to Critical.
.TP
\fBIPMI_Drive_Slot_Device_Present_Device_Inserted_Device_Present\fR
Defaults to Nominal.
.RE
.TP
.B IPMI_POST_Memory_Resize_State
The following states correspond to POST Memory Resize sensor events
that report an assertion or deassertion.
.RS
.TP
\fBIPMI_POST_Memory_Resize_State_Deasserted\fR
Defaults to Nominal.
.TP
\fBIPMI_POST_Memory_Resize_State_Asserted\fR
Defaults to Warning.
.RE
.TP
.B IPMI_System_Firmware_Progress
The following states correspond to System Firmware Progress sensor events w/
System Firmware Progress specific output events.
.RS
.TP
\fBIPMI_System_Firmware_Progress_System_Firmware_Error\fR
Defaults to Critical.
.TP
\fBIPMI_System_Firmware_Progress_System_Firmware_Hang\fR
Defaults to Critical.
.TP
\fBIPMI_System_Firmware_Progress_System_Firmware_Progress\fR
Defaults to Nominal.
.RE
.TP
.B IPMI_System_Firmware_Progress_Transition_Severity
The following states correspond to System Firmware Progress sensor
events that report on device severity.
.RS
.TP
\fBIPMI_System_Firmware_Progress_Transition_Severity_Transition_To_OK\fR
Defaults to Nominal.
.TP
\fBIPMI_System_Firmware_Progress_Transition_Severity_Transition_To_Non_Critical_From_OK\fR
Defaults to Warning.
.TP
\fBIPMI_System_Firmware_Progress_Transition_Severity_Transition_To_Critical_From_Less_Severe\fR
Defaults to Critical.
.TP
\fBIPMI_System_Firmware_Progress_Transition_Severity_Transition_To_Non_Recoverable_From_Less_Severe\fR
Defaults to Critical.
.TP
\fBIPMI_System_Firmware_Progress_Transition_Severity_Transition_To_Non_Critical_From_More_Severe\fR
Defaults to Warning.
.TP
\fBIPMI_System_Firmware_Progress_Transition_Severity_Transition_To_Critical_From_Non_Recoverable\fR
Defaults to Critical.
.TP
\fBIPMI_System_Firmware_Progress_Transition_Severity_Transition_To_Non_Recoverable\fR
Defaults to Critical.
.TP
\fBIPMI_System_Firmware_Progress_Transition_Severity_Monitor\fR
Defaults to Warning.
.TP
\fBIPMI_System_Firmware_Progress_Transition_Severity_Informational\fR
Defaults to Nominal.
.RE
.TP
.B IPMI_Event_Logging_Disabled
The following states correspond to Event Logging Disabled sensor events w/
.RS
.TP
\fBIPMI_Event_Logging_Disabled_Correctable_Memory_Error_Logging_Disabled\fR
Defaults to Critical.
.TP
\fBIPMI_Event_Logging_Disabled_Event_Type_Logging_Disabled\fR
Defaults to Critical.
.TP
\fBIPMI_Event_Logging_Disabled_Log_Area_Reset_Cleared\fR
Defaults to Nominal.
.TP
\fBIPMI_Event_Logging_Disabled_All_Event_Logging_Disabled\fR
Defaults to Critical.
.TP
\fBIPMI_Event_Logging_Disabled_SEL_Full\fR
Defaults to Critical.
.TP
\fBIPMI_Event_Logging_Disabled_SEL_Almost_Full\fR
Defaults to Warning.
.TP
\fBIPMI_Event_Logging_Disabled_Correctable_Machine_Check_Error_Logging_Disabled\fR
Defaults to Critical.
.RE
.TP
.B IPMI_System_Event
The following states correspond to System Event sensor events w/
System Event specific output events.
.RS
.TP
\fBIPMI_System_Event_System_Reconfigured\fR
Defaults to Warning.
.TP
\fBIPMI_System_Event_OEM_System_Boot_Event\fR
Defaults to Nominal.
.TP
\fBIPMI_System_Event_Undetermined_System_Hardware_Failure\fR
Defaults to Critical.
.TP
\fBIPMI_System_Event_Entry_Added_To_Auxiliary_Log\fR
Defaults to Nominal.
.TP
\fBIPMI_System_Event_PEF_Action\fR
Defaults to Nominal.
.TP
\fBIPMI_System_Event_Timestamp_Clock_Sync\fR
Defaults to Warning.
.RE
.TP
.B IPMI_System_Event_State
The following states correspond to System Event sensor events that report an
assertion or deassertion.
.RS
.TP
\fBIPMI_System_Event_State_Deasserted\fR
Defaults to Nominal.
.TP
\fBIPMI_System_Event_State_Asserted\fR
Defaults to Warning.
.RE
.TP
.B IPMI_Critical_Interrupt
The following states correspond to Critical Interrupt sensor events w/
Critical Interrupt specific output events.
.RS
.TP
\fBIPMI_Critical_Interrupt_Front_Panel_NMI_Diagnostic_Interrupt\fR
Defaults to Critical.
.TP
\fBIPMI_Critical_Interrupt_Bus_Timeout\fR
Defaults to Critical.
.TP
\fBIPMI_Critical_Interrupt_IO_Channel_Check_NMI\fR
Defaults to Critical.
.TP
\fBIPMI_Critical_Interrupt_Software_NMI\fR
Defaults to Warning.
.TP
\fBIPMI_Critical_Interrupt_PCI_PERR\fR
Defaults to Critical.
.TP
\fBIPMI_Critical_Interrupt_PCI_SERR\fR
Defaults to Critical.
.TP
\fBIPMI_Critical_Interrupt_EISA_Fail_Safe_Timeout\fR
Defaults to Critical.
.TP
\fBIPMI_Critical_Interrupt_Bus_Correctable_Error\fR
Defaults to Warning.
.TP
\fBIPMI_Critical_Interrupt_Bus_Uncorrectable_Error\fR
Defaults to Critical.
.TP
\fBIPMI_Critical_Interrupt_Fatal_NMI\fR
Defaults to Critical.
.TP
\fBIPMI_Critical_Interrupt_Bus_Fatal_Error\fR
Defaults to Critical.
\fBIPMI_Critical_Interrupt_Bus_Degraded\fR
Defaults to Warning.
.RE
.TP
.B IPMI_Button_Switch
The following states correspond to Button/Switch sensor events w/
Button/Switch specific output events.
.RS
.TP
\fBIPMI_Button_Switch_Power_Button_Pressed\fR
Defaults to Info.
.TP
\fBIPMI_Button_Switch_Sleep_Button_Pressed\fR
Defaults to Info.
.TP
\fBIPMI_Button_Switch_Reset_Button_Pressed\fR
Defaults to Info.
.TP
\fBIPMI_Button_Switch_FRU_Latch_Open\fR
Defaults to Warning.
.TP
\fBIPMI_Button_Switch_FRU_Service_Request_Button\fR
Defaults to Warning.
.RE
.TP
.B IPMI_Button_Switch_State
The following states correspond to Button/Switch sensor events that report an
assertion or deassertion.
.RS
.TP
\fBIPMI_Button_Switch_State_Deasserted\fR
Defaults to Nominal.
.TP
\fBIPMI_Button_Switch_State_Asserted\fR
Defaults to Nominal.
.RE
.TP
.B IPMI_Button_Switch_Transition_Severity
The following states correspond to Button Switch sensor events that
report on device severity.
.RS
.TP
\fBIPMI_Button_Switch_Transition_Severity_Transition_To_OK\fR
Defaults to Nominal.
.TP
\fBIPMI_Button_Switch_Transition_Severity_Transition_To_Non_Critical_From_OK\fR
Defaults to Warning.
.TP
\fBIPMI_Button_Switch_Transition_Severity_Transition_To_Critical_From_Less_Severe\fR
Defaults to Critical.
.TP
\fBIPMI_Button_Switch_Transition_Severity_Transition_To_Non_Recoverable_From_Less_Severe\fR
Defaults to Critical.
.TP
\fBIPMI_Button_Switch_Transition_Severity_Transition_To_Non_Critical_From_More_Severe\fR
Defaults to Warning.
.TP
\fBIPMI_Button_Switch_Transition_Severity_Transition_To_Critical_From_Non_Recoverable\fR
Defaults to Critical.
.TP
\fBIPMI_Button_Switch_Transition_Severity_Transition_To_Non_Recoverable\fR
Defaults to Critical.
.TP
\fBIPMI_Button_Switch_Transition_Severity_Monitor\fR
Defaults to Warning.
.TP
\fBIPMI_Button_Switch_Transition_Severity_Informational\fR
Defaults to Nominal.
.RE
.TP
.B IPMI_Module_Board_State
The following states correspond to Module/Board sensor events that report an
assertion or deassertion.
.RS
.TP
\fBIPMI_Module_Board_State_Deasserted\fR
Defaults to Nominal.
.TP
\fBIPMI_Module_Board_State_Asserted\fR
Defaults to Critical.
.RE
.TP
.B IPMI_Module_Board_Device_Present
The following states correspond to Module/Board sensor events that report on
device installation.
.RS
.TP
\fBIPMI_Module_Board_Device_Present_Device_Removed_Device_Absent\fR
Defaults to Critical.
.TP
\fBIPMI_Module_Board_Device_Present_Device_Inserted_Device_Present\fR
Defaults to Nominal.
.RE
.TP
.B IPMI_Chassis_Transition_Severity
The following states correspond to Chassis sensor events that
report on device severity.
.RS
.TP
\fBIPMI_Chassis_Transition_Severity_Transition_To_OK\fR
Defaults to Nominal.
.TP
\fBIPMI_Chassis_Transition_Severity_Transition_To_Non_Critical_From_OK\fR
Defaults to Warning.
.TP
\fBIPMI_Chassis_Transition_Severity_Transition_To_Critical_From_Less_Severe\fR
Defaults to Critical.
.TP
\fBIPMI_Chassis_Transition_Severity_Transition_To_Non_Recoverable_From_Less_Severe\fR
Defaults to Critical.
.TP
\fBIPMI_Chassis_Transition_Severity_Transition_To_Non_Critical_From_More_Severe\fR
Defaults to Warning.
.TP
\fBIPMI_Chassis_Transition_Severity_Transition_To_Critical_From_Non_Recoverable\fR
Defaults to Critical.
.TP
\fBIPMI_Chassis_Transition_Severity_Transition_To_Non_Recoverable\fR
Defaults to Critical.
.TP
\fBIPMI_Chassis_Transition_Severity_Monitor\fR
Defaults to Warning.
.TP
\fBIPMI_Chassis_Transition_Severity_Informational\fR
Defaults to Nominal.
.RE
.TP
.B IPMI_Chip_Set
The following states correspond to Chip Set sensor events w/ Chip
Set specific output events.
.RS
.TP
\fBIPMI_Chip_Set_Soft_Power_Control_Failure\fR
Defaults to Critical.
.TP
\fBIPMI_Chip_Set_Thermal_Trip\fR
Defaults to Critical.
.RE
.TP
.B IPMI_Chip_Set_Transition_Severity
The following states correspond to Chip Set sensor events that
report on device severity.
.RS
.TP
\fBIPMI_Chip_Set_Transition_Severity_Transition_To_OK\fR
Defaults to Nominal.
.TP
\fBIPMI_Chip_Set_Transition_Severity_Transition_To_Non_Critical_From_OK\fR
Defaults to Warning.
.TP
\fBIPMI_Chip_Set_Transition_Severity_Transition_To_Critical_From_Less_Severe\fR
Defaults to Critical.
.TP
\fBIPMI_Chip_Set_Transition_Severity_Transition_To_Non_Recoverable_From_Less_Severe\fR
Defaults to Critical.
.TP
\fBIPMI_Chip_Set_Transition_Severity_Transition_To_Non_Critical_From_More_Severe\fR
Defaults to Warning.
.TP
\fBIPMI_Chip_Set_Transition_Severity_Transition_To_Critical_From_Non_Recoverable\fR
Defaults to Critical.
.TP
\fBIPMI_Chip_Set_Transition_Severity_Transition_To_Non_Recoverable\fR
Defaults to Critical.
.TP
\fBIPMI_Chip_Set_Transition_Severity_Monitor\fR
Defaults to Warning.
.TP
\fBIPMI_Chip_Set_Transition_Severity_Informational\fR
Defaults to Nominal.
.RE
.TP
.B IPMI_Cable_Interconnect
The following states correspond to Cable/Interconnect sensor events w/
Cable/Interconnect specific output events.
.RS
.TP
\fBIPMI_Cable_Interconnect_Is_Connected\fR
Defaults to Nominal.
.TP
\fBIPMI_Cable_Interconnect_Configuration_Error\fR
Defaults to Critical.
.RE
.TP
.B IPMI_Cable_Interconnect_Transition_Severity
The following states correspond to Cable/Interconnect sensor events that
report on device severity.
.RS
.TP
\fBIPMI_Cable_Interconnect_Transition_Severity_Transition_To_OK\fR
Defaults to Nominal.
.TP
\fBIPMI_Cable_Interconnect_Transition_Severity_Transition_To_Non_Critical_From_OK\fR
Defaults to Warning.
.TP
\fBIPMI_Cable_Interconnect_Transition_Severity_Transition_To_Critical_From_Less_Severe\fR
Defaults to Critical.
.TP
\fBIPMI_Cable_Interconnect_Transition_Severity_Transition_To_Non_Recoverable_From_Less_Severe\fR
Defaults to Critical.
.TP
\fBIPMI_Cable_Interconnect_Transition_Severity_Transition_To_Non_Critical_From_More_Severe\fR
Defaults to Warning.
.TP
\fBIPMI_Cable_Interconnect_Transition_Severity_Transition_To_Critical_From_Non_Recoverable\fR
Defaults to Critical.
.TP
\fBIPMI_Cable_Interconnect_Transition_Severity_Transition_To_Non_Recoverable\fR
Defaults to Critical.
.TP
\fBIPMI_Cable_Interconnect_Transition_Severity_Monitor\fR
Defaults to Warning.
.TP
\fBIPMI_Cable_Interconnect_Transition_Severity_Informational\fR
Defaults to Nominal.
.RE
.TP
.B IPMI_System_Boot_Initiated
The following states correspond to System Boot Initiated sensor events w/
System Boot Initiated specific output events.
.RS
\fBIPMI_System_Boot_Initiated_Initiated_By_Power_Up\fR
Defaults to Nominal.
\fBIPMI_System_Boot_Initiated_Initiated_By_Hard_Reset\fR
Defaults to Nominal.
\fBIPMI_System_Boot_Initiated_Initiated_By_Warm_Reset\fR
Defaults to Nominal.
\fBIPMI_System_Boot_Initiated_User_Requested_PXE_Boot\fR
Defaults to Nominal.
\fBIPMI_System_Boot_Initiated_Automatic_Boot_To_Diagnostic\fR
Defaults to Nominal.
\fBIPMI_System_Boot_Initiated_OS_Run_Time_Software_Initiated_Hard_Reset\fR
Defaults to Warning.
\fBIPMI_System_Boot_Initiated_OS_Run_Time_Software_Initiated_Warm_Reset\fR
Defaults to Warning.
\fBIPMI_System_Boot_Initiated_System_Restart\fR
Defaults to Nominal.
.RE
.TP
.B IPMI_Boot_Error
The following states correspond to Boot Error sensor events w/
Boot Error specific output events.
.RS
.TP
\fBIPMI_Boot_Error_No_Bootable_Media\fR
Defaults to Critical.
.TP
\fBIPMI_Boot_Error_Non_Bootable_Diskette_Left_In_Drive\fR
Defaults to Critical.
.TP
\fBIPMI_Boot_Error_PXE_Server_Not_Found\fR
Defaults to Critical.
.TP
\fBIPMI_Boot_Error_Invalid_Boot_Sector\fR
Defaults to Critical.
.TP
\fBIPMI_Boot_Error_Timeout_Waiting_For_User_Selection_Of_Boot_Source\fR
Defaults to Warning.
.RE
.TP
.B IPMI_Boot_Error_Transition_Severity
The following states correspond to Boot Error sensor events that
report on device severity.
.RS
.TP
\fBIPMI_Boot_Error_Transition_Severity_Transition_To_OK\fR
Defaults to Nominal.
.TP
\fBIPMI_Boot_Error_Transition_Severity_Transition_To_Non_Critical_From_OK\fR
Defaults to Warning.
.TP
\fBIPMI_Boot_Error_Transition_Severity_Transition_To_Critical_From_Less_Severe\fR
Defaults to Critical.
.TP
\fBIPMI_Boot_Error_Transition_Severity_Transition_To_Non_Recoverable_From_Less_Severe\fR
Defaults to Critical.
.TP
\fBIPMI_Boot_Error_Transition_Severity_Transition_To_Non_Critical_From_More_Severe\fR
Defaults to Warning.
.TP
\fBIPMI_Boot_Error_Transition_Severity_Transition_To_Critical_From_Non_Recoverable\fR
Defaults to Critical.
.TP
\fBIPMI_Boot_Error_Transition_Severity_Transition_To_Non_Recoverable\fR
Defaults to Critical.
.TP
\fBIPMI_Boot_Error_Transition_Severity_Monitor\fR
Defaults to Warning.
.TP
\fBIPMI_Boot_Error_Transition_Severity_Informational\fR
Defaults to Nominal.
.RE
.TP
.B IPMI_OS_Boot
The following states correspond to OS Boot sensor events w/
OS Boot specific output events.
.RS
\fBIPMI_OS_Boot_A_Boot_Completed\fR
Defaults to Nominal.
\fBIPMI_OS_Boot_C_Boot_Completed\fR
Defaults to Nominal.
\fBIPMI_OS_Boot_PXE_Boot_Completed\fR
Defaults to Nominal.
\fBIPMI_OS_Boot_Diagnostic_Boot_Completed\fR
Defaults to Nominal.
\fBIPMI_OS_Boot_CD_ROM_Boot_Completed\fR
Defaults to Nominal.
\fBIPMI_OS_Boot_ROM_Boot_Completed\fR
Defaults to Nominal.
\fBIPMI_OS_Boot_Boot_Completed_Boot_Device_Not_Specified\fR
Defaults to Warning.
.RE
.TP
.B IPMI_OS_Critical_Stop
The following states correspond to OS Critical Stop sensor events w/
OS Critical Stop specific output events.
.RS
\fBIPMI_OS_Critical_Stop_Critical_Stop_During_OS_Load\fR
Defaults to Critical.
\fBIPMI_OS_Critical_Stop_Run_Time_Critical_Stop\fR
Defaults to Critical.
\fBIPMI_OS_Critical_Stop_OS_Graceful_Stop\fR
Defaults to Warning.
\fBIPMI_OS_Critical_Stop_OS_Graceful_Shutdown\fR
Defaults to Warning.
\fBIPMI_OS_Critical_Stop_Soft_Shutdown_Initiated_By_PEF\fR
Defaults to Warning.
\fBIPMI_OS_Critical_Stop_Agent_Not_Responding\fR
Defaults to Critical.
.RE
.TP
.B IPMI_Slot_Connector
The following states correspond to Slot Connector sensor events w/
Slot Connector specific output events.
.RS
.TP
\fBIPMI_Slot_Connector_Fault_Status_Asserted\fR
Defaults to Critical.
.TP
\fBIPMI_Slot_Connector_Identify_Status_Asserted\fR
Defaults to Warning.
.TP
\fBIPMI_Slot_Connector_Slot_Connector_Device_Installed_Attached\fR
Defaults to Nominal.
.TP
\fBIPMI_Slot_Connector_Slot_Connector_Ready_For_Device_Installation\fR
Defaults to Nominal.
.TP
\fBIPMI_Slot_Connector_Slot_Connector_Ready_For_Device_Removal\fR
Defaults to Nominal.
.TP
\fBIPMI_Slot_Connector_Slot_Power_Is_Off\fR
Defaults to Nominal.
.TP
\fBIPMI_Slot_Connector_Slot_Connector_Device_Removal_Request\fR
Defaults to Warning.
.TP
\fBIPMI_Slot_Connector_Interlock_Asserted\fR
Defaults to Warning.
.TP
\fBIPMI_Slot_Connector_Slot_Is_Disabled\fR
Defaults to Warning.
.TP
\fBIPMI_Slot_Connector_Slot_Holds_Spare_Device\fR
Defaults to Nominal.
.RE
.TP
.B IPMI_Slot_Connector_Transition_Severity
The following states correspond to Slot Connector sensor events that
report on device severity.
.RS
.TP
\fBIPMI_Slot_Connector_Transition_Severity_Transition_To_OK\fR
Defaults to Nominal.
.TP
\fBIPMI_Slot_Connector_Transition_Severity_Transition_To_Non_Critical_From_OK\fR
Defaults to Warning.
.TP
\fBIPMI_Slot_Connector_Transition_Severity_Transition_To_Critical_From_Less_Severe\fR
Defaults to Critical.
.TP
\fBIPMI_Slot_Connector_Transition_Severity_Transition_To_Non_Recoverable_From_Less_Severe\fR
Defaults to Critical.
.TP
\fBIPMI_Slot_Connector_Transition_Severity_Transition_To_Non_Critical_From_More_Severe\fR
Defaults to Warning.
.TP
\fBIPMI_Slot_Connector_Transition_Severity_Transition_To_Critical_From_Non_Recoverable\fR
Defaults to Critical.
.TP
\fBIPMI_Slot_Connector_Transition_Severity_Transition_To_Non_Recoverable\fR
Defaults to Critical.
.TP
\fBIPMI_Slot_Connector_Transition_Severity_Monitor\fR
Defaults to Warning.
.TP
\fBIPMI_Slot_Connector_Transition_Severity_Informational\fR
Defaults to Nominal.
.RE
.TP
.B IPMI_System_ACPI_Power_State
.RS
.TP
\fBIPMI_System_ACPI_Power_State_S0_G0\fR
Defaults to Nominal.
.TP
\fBIPMI_System_ACPI_Power_State_S1\fR
Defaults to Nominal.
.TP
\fBIPMI_System_ACPI_Power_State_S2\fR
Defaults to Nominal.
.TP
\fBIPMI_System_ACPI_Power_State_S3\fR
Defaults to Nominal.
.TP
\fBIPMI_System_ACPI_Power_State_S4\fR
Defaults to Nominal.
.TP
\fBIPMI_System_ACPI_Power_State_S5_G2\fR
Defaults to Nominal.
.TP
\fBIPMI_System_ACPI_Power_State_S4_S5_Soft_Off\fR
Defaults to Nominal.
.TP
\fBIPMI_System_ACPI_Power_State_G3_Mechanical_Off\fR
Defaults to Nominal.
.TP
\fBIPMI_System_ACPI_Power_State_Sleeping_in_an_S1_S2_or_S3_States\fR
Defaults to Nominal.
.TP
\fBIPMI_System_ACPI_Power_State_G1_Sleeping\fR
Defaults to Nominal.
.TP
\fBIPMI_System_ACPI_Power_State_S5_Entered_By_Override\fR
Defaults to Nominal.
.TP
\fBIPMI_System_ACPI_Power_State_Legacy_ON_State\fR
Defaults to Nominal.
.TP
\fBIPMI_System_ACPI_Power_State_Legacy_OFF_State\fR
Defaults to Nominal.
.TP
\fBIPMI_System_ACPI_Power_State_Unspecified\fR
Defaults to Critical.
.TP
\fBIPMI_System_ACPI_Power_State_Unknown\fR
Defaults to Critical.
.RE
.TP
.B IPMI_Watchdog2
The following states correspond to Watchdog 2 sensor events w/
Watchdog 2 specific output events.
.RS
.TP
\fBIPMI_Watchdog2_Timer_Expired\fR
Defaults to Warning.
.TP
\fBIPMI_Watchdog2_Hard_Reset\fR
Defaults to Critical.
.TP
\fBIPMI_Watchdog2_Power_Down\fR
Defaults to Critical.
.TP
\fBIPMI_Watchdog2_Power_Cycle\fR
Defaults to Critical.
.TP
\fBIPMI_Watchdog2_Reserved1\fR
Defaults to Nominal.
.TP
\fBIPMI_Watchdog2_Reserved2\fR
Defaults to Nominal.
.TP
\fBIPMI_Watchdog2_Reserved3\fR
Defaults to Nominal.
.TP
\fBIPMI_Watchdog2_Reserved4\fR
Defaults to Nominal.
.TP
\fBIPMI_Watchdog2_Timer_Interrupt\fR
Defaults to Warning.
.RE
.TP
.B IPMI_Platform_Alert
The following states correspond to Platform Alert sensor events w/
Platform Alert specific output events.
.RS
\fBIPMI_Platform_Alert_Platform_Generated_Page\fR
Defaults to Nominal.
\fBIPMI_Platform_Alert_Platform_Generated_LAN_Alert\fR
Defaults to Nominal.
\fBIPMI_Platform_Alert_Platform_Event_Trap_Generated\fR
Defaults to Nominal.
\fBIPMI_Platform_Alert_Platform_Generated_SNMP_Trap\fR
Defaults to Nominal.
.RE
.TP
.B IPMI_Entity_Presence
The following states correspond to Entity Presence sensor events w/
Entity Presence specific output events.
.RS
.TP
\fBIPMI_Entity_Presence_Entity_Present\fR
Defaults to Nominal.
.TP
\fBIPMI_Entity_Presence_Entity_Absent\fR
Defaults to Critical.
.TP
\fBIPMI_Entity_Presence_Entity_Disabled\fR
Defaults to Critical.
.RE
.TP
.B IPMI_Entity_Presence_Device_Present
The following states correspond to Entity Presence sensor events that report on
device installation.
.RS
.TP
\fBIPMI_Entity_Presence_Device_Present_Device_Removed_Device_Absent\fR
Defaults to Nominal.
.TP
\fBIPMI_Entity_Presence_Device_Present_Device_Inserted_Device_Present\fR
Defaults to Nominal.
.RE
.TP
.B IPMI_LAN
The following states correspond to LAN sensor events w/ LAN specific
output events.
.RS
\fBIPMI_LAN_Heartbeat\fR
Defaults to Nominal.
\fBIPMI_LAN_Heartbeat_Lost\fR
Defaults to Warning.
.RE
.TP
.B IPMI_Management_Subsystem_Health
The following states correspond to Management Subsystem Health sensor events w/
Management Subsystem Health specific output events.
.RS
.TP
\fBIPMI_Management_Subsystem_Health_Sensor_Access_Degraded_Or_Unavailable\fR
Defaults to Critical.
.TP
\fBIPMI_Management_Subsystem_Health_Controller_Access_Degraded_Or_Unavailable\fR
Defaults to Critical.
.TP
\fBIPMI_Management_Subsystem_Health_Management_Controller_Off_Line\fR
Defaults to Critical.
.TP
\fBIPMI_Management_Subsystem_Health_Management_Controller_Unavailable\fR
Defaults to Critical.
.TP
\fBIPMI_Management_Subsystem_Health_Sensor_Failure\fR
Defaults to Critical.
.TP
\fBIPMI_Management_Subsystem_Health_FRU_Failure\fR
Defaults to Critical.
.RE
.TP
.B IPMI_Battery
The following states correspond to Battery sensor events w/
Battery specific output events.
.RS
.TP
\fBIPMI_Battery_Battery_Low\fR
Defaults to Warning.
.TP
\fBIPMI_Battery_Battery_Failed\fR
Defaults to Critical.
.TP
\fBIPMI_Battery_Battery_Presence_Detected\fR
Defaults to Nominal.
.RE
.TP
.B IPMI_Session_Audit
The following states correspond to Session Audit sensor events w/
Session Audit specific output events.
.RS
.TP
\fBIPMI_Session_Audit_Session_Activated\fR
Defaults to Nominal.
.TP
\fBIPMI_Session_Audit_Session_Deactivated\fR
Defaults to Nominal.
.TP
\fBIIPMI_Session_Audit_Invalid_Username_Or_Password\fR
Defaults to Warning.
.TP
\fBIPMI_Session_Audit_Invalid_Password_Disable\fR
Defaults to Critical.
.RE
.TP
.B IPMI_Version_Change_Transition_Severity
The following states correspond to Version Change sensor events that
Version Change specific output events.
.RS
.TP
\fBIPMI_Version_Change_Hardware_Change_Detected_With_Associated_Entity\fR
Defaults to Warning.
.TP
\fBIPMI_Version_Change_Firmware_Or_Software_Change_Detected_With_Associated_Entity\fR
Defaults to Warning.
.TP
\fBIPMI_Version_Change_Hardware_Incompatability_Detected_With_Associated_Entity\fR
Defaults to Critical.
.TP
\fBIPMI_Version_Change_Firmware_Or_Software_Incompatability_Detected_With_Associated_Entity\fR
Defaults to Critical.
.TP
\fBIPMI_Version_Change_Entity_Is_Of_An_Invalid_Or_Unsupported_Hardware_Version\fR
Defaults to Critical.
.TP
\fBIPMI_Version_Change_Entity_Contains_An_Invalid_Or_Unsupported_Firmware_Or_Software_Version\fR
Defaults to Critical.
.TP
\fBIPMI_Version_Change_Hardware_Change_Detected_With_Associated_Entity_Was_Successful\fR
Defaults to Nominal.
.TP
\fBIPMI_Version_Change_Software_Or_FW_Change_Detected_With_Associated_Entity_Was_Successful\fR
Defaults to Nominal.
.RE
.TP
.B IPMI_FRU_State
The following states correspond to FRU State sensor events w/
FRU State specific output events.
.RS
.TP
\fBIPMI_FRU_State_FRU_Not_Installed\fR
Defaults to Critical.
.TP
\fBIPMI_FRU_State_FRU_Inactive\fR
Defaults to Critical.
.TP
\fBIPMI_FRU_State_FRU_Activation_Requested\fR
Defaults to Warning.
.TP
\fBIPMI_FRU_State_FRU_Activation_In_Progress\fR
Defaults to Warning.
.TP
\fBIPMI_FRU_State_FRU_Active\fR
Defaults to Nominal.
.TP
\fBIPMI_FRU_State_FRU_Deactivation_Requested\fR
Defaults to Warning.
.TP
\fBIPMI_FRU_State_FRU_Deactivation_In_Progress\fR
Defaults to Warning.
.TP
\fBIPMI_FRU_State_FRU_Communication_Lost\fR
Defaults to Critical.
.RE
.TP
.B IPMI_OEM
The following configuration options can be used to configure OEM
system event log events. Interpretations rules for a specific
combination of \fIManufacturer\-ID\fR, \fIProduct\-ID\fR, and
\fIRecord-Type\fR, are iterated through and the worst resulting sensor
state is returned (i.e. Warning < Nominal, Critical < Warning). If no
match is found, no state is returned for the OEM event.

For each of the configuration options below, \fI<Manufacturer\-ID>\fR
is the numeric IANA manufacturer ID for the manufacturer in question.
The \fI<Product\-ID>\fR is one or more numeric IDs representing the
manufacturer's product.  The \fI<Product\-ID>\fR can be listed as a
single numeric number (e.g. 1234), a range of IDs separated by a dash
(e.g. 12-20), or a list of specific product IDs separted by a plus
(e.g. 12+19+22). Both the \fIManufacturer\-ID\fR and
\fIProduct\-ID\fR can be found using
.B bmc-info(8).
Multiple \fI<Manufacturer\-ID>\fR and \fI<Product\-ID>\fR pairs can be
input separated by commas.
.RS
.TP
\fBIPMI_OEM_Sensor_System_Event_Record\fR \fI<Manufacturer\-ID>\fR:\fI<Product\-ID>\fR,... \fIEvent\-Reading\-Type\-Code\fR \fISensor\-Type\fR \fIEvent\-Direction\fR \fIEventData1\fR \fIEventData2\fR \fIEventData3\fR \fIState\fR
\fBIPMI_OEM_System_Event_Record\fR can be used to configure a state
interpretation for a specific \fIManufacturer\-ID\fR,
\fIProduct\-ID\fR, \fIEvent\-Reading\-Type\-Code\fR, and
\fISensor\-Type\fR combination, and a specific \fIEvent\-Direction\fR,
\fIEventData1\fR, \fIEventData2\fR, and \fIEventData3\fR. The
\fIEvent\-Direction\fR field must specify \fIAssertion\fR,
\fIDeassertion\fR, or \fIANY\fR. Each of the \fIEventData\fR fields
must specify a hex byte to match or the keyword \fIANY\fR to match
anything. The \fIEvent\-Reading\-Type\-Code\fR and \fISensor\-Type\fR
need not be OEM types. They may be non-OEM types and used to provide
interpretation rules for sensors that may be behaving outside the
standard of the IPMI specification.
.TP
\fBIPMI_OEM_Timestamped_Record\fR \fI<Manufacturer\-ID>\fR:\fI<Product\-ID>\fR,... \fIRecord\-Type\fR \fIOEMDATA1\fR \fIOEMDATA2\fR \fIOEMDATA3\fR \fIOEMDATA4\fR \fIOEMDATA5\fR \fIOEMDATA6\fR \fIState\fR
\fBIPMI_OEM_Timestamped_Record\fR can be used to configure an
interpretation for a specific \fIManufacturer\-ID\fR, \fIProduct\-ID\fR,
\fIRecord\-Type\fR, and OEM data combination. The \fIRecord\-Type\fR
must be a legal record type for OEM Timestamped Records (currently
0xC0-0xDF). Each of the \fIOEMDATA\fR fields must specify a hex byte
to match or the keyword \fIANY\fR to match anything.
.TP
\fBIPMI_OEM_Non_Timestamped_Record\fR \fI<Manufacturer\-ID>\fR:\fI<Product\-ID>\fR,... \fIRecord\-Type\fR \fIOEMDATA1\fR \fIOEMDATA2\fR \fIOEMDATA3\fR \fIOEMDATA4\fR \fIOEMDATA5\fR \fIOEMDATA6\fR \fIOEMDATA7\fR \fIOEMDATA8\fR \fIOEMDATA9\fR \fIOEMDATA10\fR \fIOEMDATA11\fR \fIOEMDATA12\fR \fIOEMDATA13\fR \fIState\fR
\fBIPMI_OEM_Non_Timestamped_Record\fR can be used to configure an
interpretation for a specific \fIManufacturer\-ID\fR, \fIProduct\-ID\fR,
\fIRecord\-Type\fR, and OEM data combination. The \fIRecord\-Type\fR
must be a legal record type for OEM Non-Timestamped Records (currently
0xEO-0xFF). Each of the \fIOEMDATA\fR fields must specify a hex byte
to match or the keyword \fIANY\fR to match anything.
.RE

.SH "FILES"
/usr/local/etc/freeipmi//freeipmi_interpret_sel.conf
.SH "REPORTING BUGS"
Report bugs to <freeipmi\-users@gnu.org> or <freeipmi\-devel@gnu.org>.
.SH "COPYRIGHT"
Copyright (C) 2007-2012 Lawrence Livermore National Security, LLC.
.PP
This library is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3 of the License, or (at
your option) any later version.
.SH "SEE ALSO"
libfreeipmi(3), libipmimonitoring(3), ipmi-sel(8)
.PP
http://www.gnu.org/software/freeipmi/
